通告 本站已支持IPV6访问(原爱搜网爱搜啊博客aisoa.cn

Package xxxx is missing dependencies for the following libraries: libc.so.1 openwrt编译ipk包报错

2022-11-17
0评论
/
阅读
爱搜啊

Package xxxx is missing dependencies for the following libraries: libc.so.1报错的解决办法

openwrt编译ipk包报错

今天编译个别人写的openwrt的luci包,写的不规范,但是遇见的错误信息具有代表性,其他软件包也可能遇见同样的错误信息

Package luci-gongyewangguan is missing dependencies for the following libraries:
libc.so.1
Makefile:81: recipe for target 'juheV2/bin/packages/aarch64_generic/luci/luci-gongyewangguan_1.0-1_aarch64_generic.ipk' failed
make[2]: *** [juheV2/bin/packages/aarch64_generic/luci/luci-gongyewangguan_1.0-1_aarch64_generic.ipk] Error 1
make[2]: Leaving directory '/home/siasjack/workspace/100g/juheV2/feeds/luci/luci/applications/luci-gongyewangguan'
Command exited with non-zero status 2
time: package/feeds/luci/luci-gongyewangguan/compile#0.28#0.04#0.35

解决方法有多种,推荐前两种,这两种才是最友好的处理方法

一个是在depends里面加入依赖的库,如下(经测试,未成功)

define Package/luci-gongyewangguan
    SECTION:=luci
    CATEGORY:=LuCI
    SUBMENU:=3. Applications
    TITLE:= -- gongyewangguan for LuCI
    DEPENDS:=+libubox +libc
    PKGARCH:=all
endef

另一个是加入extra_provides段,经测试成功

define Package/$(PKG_NAME)/extra_provides
    echo "libc.so.1";
endef

第三种是直接将相关的库文件复制到你需要编译的源代码处

相关推荐

openwrt-luci-app编译方式,openwrt-luci-app怎么编译openwrt的app软件包编译方法

OPENWRT为你的luci添加配置界面(含源码)OPENWRT自己添加菜单和配置页面编译IPK


本站附件分享,如果附件失效,可以去找找看

诚通网盘附件百度网盘附件


饿了么红包

饿了么红包

于2022-11-17发布